/*
 * This file is part of faultd.
 *
 * Copyright © 2017 Samsung Electronics
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef FAULTD_ACTION_H
#define FAULTD_ACTION_H

#include "common.h"

#define FAULTD_ACTION_SERVICE_RESTART_ID "org.tizen.faultd.action.SERVICE_RESTART"
#define FAULTD_ACTION_SERVICE_RECOVER_ID "org.tizen.faultd.action.SERVICE_RECOVER"
#define FAULTD_ACTION_REBOOT_ID "org.tizen.faultd.action.REBOOT"
#define FAULTD_ACTION_RECOVERY_REBOOT_ID "org.tizen.faultd.action.RECOVERY_REBOOT"

#define FAULTD_DEFAULT_ACTION_IMPL "default"

#define FAULTD_AD_SERVICE_NAME "ServiceName"
#define FAULTD_AD_CLEANUP_UNIT "RecoveryUnit"

int faultd_fill_for_srv_restart(struct faultd_object *obj, char *service_path);

int faultd_fill_for_srv_recover(struct faultd_object *obj, char *service_path, char *recovery);

#define faultd_fill_for_reboot(o)					\
	faultd_object_fill_empty(o)

#define faultd_fill_for_recovery_reboot(o)		\
	faultd_object_fill_empty(o)

#endif /* FAULTD_ACTION_H */
